Bug 13612 - Remove old YUI javacript libraries from opac-tmpl
Summary: Remove old YUI javacript libraries from opac-tmpl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13689
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-22 14:21 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13612 - Remove old YUI javacript libraries from opac-tmpl (368.93 KB, patch)
2015-01-22 16:38 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 13612 - Remove old YUI javacript libraries from opac-tmpl (369.06 KB, patch)
2015-02-10 14:44 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13612 - Remove old YUI javacript libraries from opac-tmpl (369.09 KB, patch)
2015-02-11 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-22 14:21:36 UTC
After checking with Owen it appears that the opac-tmpl/lib/yui directory can be removed now that we only support Bootstrap OPAC.
Comment 1 Owen Leonard 2015-01-22 16:38:55 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-02-04 13:35:24 UTC
I did git grep for the files all removed files, no references behalve of:

git grep 'opac-tmpl/lib/yui/reset-fonts-grids.css'
Result:
koha-tmpl/opac-tmpl/bootstrap/css/opac-old.css
koha-tmpl/opac-tmpl/bootstrap/css/sco-old.css

git grep 'opac-tmpl/lib/yui/skin.css'
Result:
koha-tmpl/opac-tmpl/bootstrap/css/opac-old.css
koha-tmpl/opac-tmpl/bootstrap/css/sco-old.css

Are opac-old.css and sco-old.css still used / present in the system or is this just a local issue in my dev installation?
Comment 3 Katrin Fischer 2015-02-08 21:13:44 UTC
Hi Marc, 

I have the same result, but the css files don't seem to be linked to from anywhere. My guess is, that we kept them around for look-up, but that they are not used any longer. Owen, could you confirm?
Comment 4 Owen Leonard 2015-02-10 14:06:53 UTC
> Owen, could you confirm?

I confirm. opac-old.css and sco-old.css were in-development reference files and shouldn't have made it into the original patch. They can be ignored for the purposes of this patch and deleted by another one.
Comment 5 Marc Véron 2015-02-10 14:44:20 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-02-11 10:20:51 UTC
Created attachment 35822 [details] [review]
Bug 13612 - Remove old YUI javacript libraries from opac-tmpl

YUI files were left behind in opac-tmpl/lib/yui after the removal of the
prog theme. These files are unused and can be safely removed.

To test, apply the patch and search for references to any of the YUI
files. You should find none in the OPAC templates.

No references found.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2015-02-11 10:22:05 UTC
(In reply to Owen Leonard from comment #4)
> > Owen, could you confirm?
> 
> I confirm. opac-old.css and sco-old.css were in-development reference files
> and shouldn't have made it into the original patch. They can be ignored for
> the purposes of this patch and deleted by another one.

I am marking this bug depends on bug 13689, IMO they should be pushed together.
Comment 8 Tomás Cohen Arazi 2015-02-24 17:25:11 UTC
Patch pushed to master.

Thanks Owen!